Returns the provider URLs for the specified environment.
GET
/
environments
/
{environmentId}
/
settings
/
providers
/
urls
Get the URLs for the environment providers
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/providers/urls \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/providers/urls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/settings/providers/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providerUrls": [
{
"authorizationUrl": "<string>",
"redirectUrl": "<string>",
"scopes": "<string>",
"scopesRefUrl": "<string>"
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of OAuth urls for the environment providers
List of OAuth provider URL objects with authorization and redirect URLs
Show child attributes
Show child attributes
Last modified on August 1, 2026
Was this page helpful?
⌘I
Get the URLs for the environment providers
